! ---------------------------------------------------------------------------
!  Helderiv_test.f90 - Created by Morgan Brown
!           Thu Sep  4 14:21:02 2003.
! ---------------------------------------------------------------------------
!       Usage: Helderiv_test.x 
!  Parameters: 
! Description: 
! ---------------------------------------------------------------------------
program Helderiv_test

use sep
use helderiv

implicit none

integer                    :: n1, n2, stat,na
real                       :: d1, d2, o1, o2,eps1
real, dimension(:), allocatable :: data, model

call sep_init(SOURCE)

call from_history('n1',n1)
call from_history('n2',n2)
call from_param( 'na', na, 6)
call from_param( 'eps1', eps1, 0.5)


allocate( data(n1*n2), model(n1*n2) )
call sep_read(data)

call helderiv_init(n1, na, eps1)
stat = helderiv_lop( .false., .false., data, model)

call sep_write(abs(model))

deallocate( data, model)

call exit(0)

end program Helderiv_test
