program Gradmag_test

use sep
use Gradmag_mod

implicit none

integer                    :: n1, n2, stat
real                       :: d1, d2, o1, o2
real, dimension(:), allocatable :: data, model,model1

call sep_init(SOURCE)

call from_history('n1',n1)
call from_history('n2',n2)

allocate( data(n1*n2), model(n1*n2) , model1(n1*n2))
call sep_read(data)

call gradmag( data, model1, n1, n2)

model=1./(sqrt(1+(model1/0.005)**2))
!model = 0.0
!model=1./(model1+0.1)

write(0,*) 'min/max/avg(model1)',minval(model1),maxval(model1),sum(model1)/size(model1)
write(0,*) 'min/max/avg(model)',minval(model),maxval(model),sum(model)/size(model)

call sep_write(model)

deallocate( data, model,model1)

call exit(0)

end program Gradmag_test
