module fit2_mod
use chain_mod
use gradchain_2fit_mod
use adj_mod
use scaled_identity
use morgan_util
integer, private,save :: nd

logical, private, save :: verbose
logical, parameter, private, save :: T=.true., F=.false.

contains

!-------------------------------------------------------------------------------
subroutine init_array( n_d, verb)
  integer :: n_d
  logical :: verb
  optional :: verb
  nd=n_d
  verbose=F; if(present(verb)) verbose=verb
end subroutine
!-------------------------------------------------------------------------------

!-------------------------------------------------------------------------------
integer function my_array(adj,add,model,data)
logical, intent(in) :: adj,add
real                            :: model(:),data(:)
integer :: stat

call adjnull( adj, add, model, data)

  if(verbose) call oper_stats( "my_array ", .true., model, data, adj)

! d1 = P1  
!           m
! d2 = P2

call array(weighted_gradx_lop,weighted_gradt_lop,adj,add,model,data(1:nd),data(nd+1:))
!call array(identity_exec,identity_exec,adj,add,model,data(1:nd),data(nd+1:))

  if(verbose) call oper_stats( "my_array ", .true., model, data, adj)

my_array=0

end function
!-------------------------------------------------------------------------------

end module
