module rough_smooth_mod
use chain_mod
use rs_chain_2fit 
use adj_mod
!use scaled_identity
integer,private,save :: nd

contains

subroutine array_2fit_init(wt_ini,b1_ini,b2_ini,n1_ini, n2_ini, eps_r_ini,eps_s_ini)
real, dimension(:) :: wt_ini
integer            :: b1_ini,b2_ini,n1_ini, n2_ini
real               :: eps_r_ini,eps_s_ini

nd=n1_ini*n2_ini
call rough_smooth_init( wt_ini,b1_ini,b2_ini,n1_ini, n2_ini, eps_r_ini,eps_s_ini  )
end subroutine

integer function my_array_2fit_lop(adj,add,model,data)
logical, intent(in) :: adj,add
real                :: model(:),data(:)
integer             :: stat

call adjnull( adj, add, model, data)

call array(weighted_lapla_lop,weighted_smooth_lop,adj,add,model,data(1:nd),data(nd+1:))
!call array(identity_exec,identity_exec,adj,add,model,data(1:nd),data(nd+1:))

my_array2d=0

end function

end module
